//
//  SmartRules.h
//  SmartRuleTest
//
//  Created by Masatoshi Nishikata on 07/08/09.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SmartRules : NSObject <NSCoding>
{

	//keys
	
	/*
	action
	compound
	content
	title
	active
	 */
	
	int		action;
	int		compound;
	NSMutableArray*	content;
	NSMutableArray*	contentForActions;

	NSString* title;
	NSString* folderPath;
	BOOL	active;
}
- (id) init ;
- (void)encodeWithCoder:(NSCoder *)encoder;
- (id)initWithCoder:(NSCoder *)coder;
-(int)action;
-(NSPredicate*)predicate;
-(BOOL)active;

@end
